Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 453777 - uploadWrapper() doesn't work for procfs files
Summary: uploadWrapper() doesn't work for procfs files
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Beaker
Classification: Community
Component: beah
Version: 0.5
Hardware: All
OS: Linux
low
low vote
Target Milestone: 0.10.0
Assignee: Qixiang Wan
QA Contact: Dan Callaghan
URL:
Whiteboard: Misc
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-02 13:56 UTC by James Laska
Modified: 2013-09-02 06:25 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-11-22 06:44:26 UTC


Attachments (Terms of Use)

Comment 3 Dan Callaghan 2012-09-26 05:26:35 UTC
We can probably just hardcode a check to handle /proc and /sys specially.

Comment 4 Nick Coghlan 2012-10-17 04:37:13 UTC
Bulk reassignment of issues as Bill has moved to another team.

Comment 5 Qixiang Wan 2012-10-29 09:03:01 UTC
Patch post to gerrit:

http://gerrit.beaker-project.org/#/c/1452/

Fix this in rhts-python, so tests trying to submit procfs and sysfs logs should be happy now.

There is also WatchedFile.uploaderWrapper in LabController/aux/anamon, but seems there is no reason to change it now, and watching /proc and /sys sounds not reasonable.

Comment 7 Raymond Mancy 2012-11-22 06:44:26 UTC
This has now been released


Note You need to log in before you can comment on or make changes to this bug.